// index.js
// 获取应用实例
const app = getApp()
const the_first_left = 20
const side_len = 60
var bottom_timer = null
var up_timer = null
Page({
  data: {
    viewArr: [],
    touchStartTime: 0,
    // 触摸结束时间
    touchEndTime: 0,
    the_Bottom_SieveView_backImg: "../../ima/11.png",
    Winning_numbers: [],
    isOver: false,
    Press_Time: 0,
    Press_Range: '当前未滚动骰子'
  },
  onLoad() {
    var arr = []
    var l = 0
    var t = 0
    for (var i = 0; i < 54; i++) {
      if (i < 50 && i > 40) {
        var Cell_item = {
          color: "black",
          top: the_first_left + t * side_len,
          left: the_first_left + l * side_len,
          text: "",
          backIma: "../../ima/blue.png"
        }
      } else if (i < 29 && i > 22) {
        var Cell_item = {
          color: "black",
          top: the_first_left + t * side_len,
          left: the_first_left + l * side_len,
          text: "",
          backIma: "../../ima/blue.png"
        }
      } else {
        var Cell_item = {
          color: "black",
          top: the_first_left + t * side_len,
          left: the_first_left + l * side_len,
          text: i + "",
          backIma: "../../ima/blue.png"
        }
      }
      arr.push(Cell_item)
      if (i <= 9) l++
      else if (i <= 16) t++
      else if (i <= 18) l--
      else if (i <= 23) t--
      else if (i <= 29) l--
      else if (i <= 33) t++
      else if (i <= 37) l++
      else if (i <= 39) t++
      else if (i <= 45) l--
      else if (i <= 54) t--
    }
    this.setData({
      viewArr: arr
    })
  },
  Up_start() {
    // 开始上方滚轮的滚动
    var j = 0
    var that = this
    var model = this.data.viewArr
    var len = model.length
    var WinArrs = that.data.Winning_numbers
    var win_len = WinArrs.length - 1
    up_timer = setInterval(function () {
      var str = []
      for (var i = 0; i < model.length; i++) {
        str.push(that.data.viewArr[i])
        if (i == j) {
          if (win_len != 0) {
            str[i].backIma = "../../ima/yellow.png"
          } else {
            str[i].backIma = "../../ima/blue.png"
          }
        } else {
          if (WinArrs.slice(win_len).indexOf(str[i].text) != -1) {
            str[i].backIma = "../../ima/yellow.png"
          } else {
            str[i].backIma = "../../ima/blue.png"
          }
        }
      }
      that.setData({
        viewArr: str
      })
      j++
      if (--len == 0) {
        j = 0
        len = model.length
        if (--win_len == -1) {
          clearInterval(up_timer)
          up_timer = null
          setTimeout(function () {
            that.setData({
              isOver: false
            })
          }, 500)
        }
      }
    }, 20)
  },
  Bottom_start() {
    // 开始下方滚轮的滚动
    var that = this
    var index = 2
    bottom_timer = setInterval(function () {
      var len = (new Date().getTime() - that.data.touchStartTime) / 1000
      that.setData({
        the_Bottom_SieveView_backImg: "../../ima/1" + index + ".png",
        Press_Time: len,
        Press_Range: ""
      })
      if (++index == 6) {
        index = 2
      }
    }, 100)
  },
  /// 按钮触摸开始触发的事件
  touchStart: function (e) {
    // 如果抽奖还没有结束提示无法重复抽奖
    if (this.data.isOver == false) {
      this.data.touchStartTime = new Date().getTime()
      this.Bottom_start()
    } else {
      wx.showToast({
        title: '正在抽奖中',
        icon: "error",
        mask: true
      })
    }
  },

  /// 按钮触摸结束触发的事件
  touchEnd: function (e) {
    // 如果抽奖还没有结束提示无法重复抽奖
    if (this.data.isOver == false) {
      this.setData({
        isOver: true
      })
      this.data.Winning_numbers = []
      this.data.touchEndTime = new Date().getTime()
      var len = (this.data.touchEndTime - this.data.touchStartTime) / 1000
      console.log("长按了：" + len + "秒")
      clearInterval(bottom_timer)
      bottom_timer = null
      if ((len % 10) < 2) {
        this.data.Winning_numbers = ['2', '3', '4']
        this.setData({
          the_Bottom_SieveView_backImg: "../../ima/12.png",
          Press_Time: len,
          Press_Range: "属于0~2秒范围内"
        })
      } else if ((len % 10) < 4) {
        this.data.Winning_numbers = ['5', '6', '7']
        this.setData({
          the_Bottom_SieveView_backImg: "../../ima/13.png",
          Press_Time: len,
          Press_Range: "属于2~4秒范围内"
        })
      } else if ((len % 10) < 6) {
        this.data.Winning_numbers = ['7', '8', '9']
        this.setData({
          the_Bottom_SieveView_backImg: "../../ima/14.png",
          Press_Time: len,
          Press_Range: "属于4~6秒范围内"
        })
      } else if ((len % 10) < 10) {
        this.data.Winning_numbers = ['9', '10', '11', '12']
        this.setData({
          the_Bottom_SieveView_backImg: "../../ima/15.png",
          Press_Time: len,
          Press_Range: "属于6~10秒范围内"
        })
      }
      this.Up_start()
    } else {
      wx.showToast({
        title: '正在抽奖中',
        icon: "error",
        mask: true
      })
    }
  },
})